aboutsummaryrefslogtreecommitdiff
path: root/store/works/teapot/script/build-deb.bash
diff options
context:
space:
mode:
Diffstat (limited to 'store/works/teapot/script/build-deb.bash')
-rwxr-xr-xstore/works/teapot/script/build-deb.bash12
1 files changed, 12 insertions, 0 deletions
diff --git a/store/works/teapot/script/build-deb.bash b/store/works/teapot/script/build-deb.bash
new file mode 100755
index 0000000..954d026
--- /dev/null
+++ b/store/works/teapot/script/build-deb.bash
@@ -0,0 +1,12 @@
+set -e
+
+mkdir -p build
+pushd build
+cmake .. "-DCMAKE_BUILD_TYPE=RelWithDebInfo"
+make
+mkdir -p package
+cmake --install . --prefix ./package/
+mkdir -p package/DEBIAN
+cp ../debian/control ./package/DEBIAN/control
+dpkg-deb --root-owner-group --build package
+popd